class ordersAccessiblePagesResponse {
  String? error;
  List<PagesAccessible>? pagesAccessible;
  String? message;

  ordersAccessiblePagesResponse(
      {this.error, this.pagesAccessible, this.message});

  ordersAccessiblePagesResponse.fromJson(Map<String, dynamic> json) {
    error = json['error'];
    if (json['pages_accessible'] != null) {
      pagesAccessible = <PagesAccessible>[];
      json['pages_accessible'].forEach((v) {
        pagesAccessible!.add(new PagesAccessible.fromJson(v));
      });
    }
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error'] = this.error;
    if (this.pagesAccessible != null) {
      data['pages_accessible'] =
          this.pagesAccessible!.map((v) => v.toJson()).toList();
    }
    data['message'] = this.message;
    return data;
  }
}

class PagesAccessible {
  int? id;
  String? pageName;
  String? mode;

  PagesAccessible({this.id, this.pageName, this.mode});

  PagesAccessible.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    pageName = json['page_name'];
    mode = json['mode'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['page_name'] = this.pageName;
    data['mode'] = this.mode;
    return data;
  }
}
